sentry/polymc

Description

Description not filled in by author. Very likely personal repository for testing purpose, which you should not use.

Installation Instructions

Instructions not filled in by author. Author knows what to do. Everybody else should avoid this repo.

Active Releases

The following unofficial repositories are provided as-is by owner of this project. Contact the owner directly for bugs or issues (IE: not bugzilla).

* Total number of packages downloaded in the last seven days.


This is a companion discussion topic for the original entry at https://copr.fedorainfracloud.org/coprs/sentry/polymc/

latest build failing, pls fix

Hey! Thanks for packaging this.

This package should recommend java-1.8.0-openjdk and java-latest-openjdk instead of java-1.8.0-openjdk-headless and java-latest-openjdk-headless

Older versions of minecraft will fail to launch due to libjawt.so not being included in the headless packages of OpenJDK (At least on Fedora).

Upon further investigation this is true, older versions of LWJGL used Java’s Native Interfaces.

This is no longer the case for modern versions, but mods have a tendency to still use it (even if the usage of it is frowned up).

I’ll update the recommendations to the non headless variants.

Thanks!
Should help users with fresh installs avoid issues.